<?php
class Home extends Controller{
    public function index()

	{

        /******** start header code ********/
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			// get user id from session
			$user_id = $this->loadSession()->getSession("user_id");
			// get user data for header
			$dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
			if($dataView['userData'] == NULL)

			{
				$this->redirect("error","index");
				exit();
			}
		}
        $dataView['current'] = "home";
		/******* end header code *******/
		// get sliders
        $dataView['sliders'] = $this->loadModel("SliderModel")->retrieveAllData("WHERE `status` =? AND `deleted` =? ",array(1,1));
        //get category data
		$dataView['random3Categories'] = $this->loadModel("CategoryModel")->retrieveAllData("WHERE `status` =? AND `deleted` =?  AND `id_category`  is not null ORDER BY  Rand() LIMIT 3",array(1,1));
		//var_dump($dataView['categories']);
		if(is_array($dataView['random3Categories']))
		{
			foreach($dataView['random3Categories'] as $key=>$value)
			{
				// get Lang Data
				$dataView['random3CategoriesLang'][$key] = $this->loadModel("CategoryEnModel")->retriveDataById("id_category",$value['id']);
			}
		}
        
        // Get Max 4 Offers Sales
		$dataView['maxSales4Offers'] = $this->loadModel("OfferReportModel")->retrieveAllData("WHERE `approved` =? AND  `status` =? AND  `deleted` =? ORDER BY `total_sales` DESC LIMIT 4 ",array(1,1,1));
		if(is_array($dataView['maxSales4Offers']))
		{
			foreach($dataView['maxSales4Offers'] as $key=>$value)
			{
				$dataView['maxSales4OffersData'][$key]=$this->loadModel("OfferModel")->retriveDataById('id',$value['id_offer']);
				$dataView['maxSales4OffersDataLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id_offer']);
				$dataView['maxSales4OffersPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY id Desc LIMIT 1",array($value['id_offer'],1));
				if(is_array($dataView['maxSales4OffersPrice'][$key]))
				{
                    $dataView['maxSales4OffersPrice'][$key] = array_shift($dataView['maxSales4OffersPrice'][$key]);
				}

			}

		}

		//special offers
		$dataView['specialOffers'] = $this->loadModel("OfferModel")->retrieveAllData("WHERE `approved` =? AND   `deleted` =? AND `special`=? AND `status`=? ORDER BY Rand() Limit 4 ",array(1,1,1,1));
		//var_dump($dataView['specialOffer']);
		if(is_array($dataView['specialOffers']))
		{
			foreach($dataView['specialOffers'] as $key=>$value)
			{
				$dataView['specialOffersLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id']);
				$dataView['specialOffersCategoryLang'][$key] = $this->loadModel("CategoryEnModel")->retriveDataById("id_category",$value['id_category']);
				$dataView['latestspecialOfferPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY id DESC LIMIT 1",array($value['id'],1));
				if(is_array($dataView['latestspecialOfferPrice'][$key]))
				{
                    $dataView['latestspecialOfferPrice'][$key] = array_shift($dataView['latestspecialOfferPrice'][$key]);
				}
			}
		}
        // Get Max 4 Offers Sales
		$dataView['maxRates4Offers'] = $this->loadModel("OfferReportModel")->retrieveAllData("WHERE `approved` =? AND  `status` =? AND  `deleted` =? ORDER BY `rating` DESC LIMIT 5 ",array(1,1,1));
		if(is_array($dataView['maxRates4Offers']))
		{
			foreach($dataView['maxRates4Offers'] as $key=>$value)
			{
				$dataView['maxRates4OffersData'][$key]=$this->loadModel("OfferModel")->retriveDataById('id',$value['id_offer']);
				$dataView['maxRates4OffersDataLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id_offer']);
				$dataView['maxRates4OffersPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY `id` Desc LIMIT 1",array($value['id_offer'],1));
				if(is_array($dataView['maxRates4OffersPrice'][$key]))
				{
                    $dataView['maxRates4OffersPrice'][$key] = array_shift($dataView['maxRates4OffersPrice'][$key]);
				}
			}
		}
        
        //new offers
		$dataView['newOffers'] = $this->loadModel("OfferModel")->retrieveAllData("WHERE `approved` =? AND  `deleted` =? AND `special`=? AND `status`=? ORDER BY `id` DESC Limit 8 ",array(1,1,1,1));
		if(is_array($dataView['newOffers']))
		{
			foreach($dataView['newOffers'] as $key=>$value)
			{
				$dataView['newOffersLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id']);
				$dataView['newOffersPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY id DESC LIMIT 1",array($value['id'],1));
				if(is_array($dataView['newOffersPrice'][$key]))
				{
                    $dataView['newOffersPrice'][$key] = array_shift($dataView['newOffersPrice'][$key]);
				}
			}
		}
        //get max offer view
		$dataView['maxOneOfferView'] = $this->loadModel("OfferReportModel")->retrieveAllData("WHERE `approved` =? AND  `status` =? AND  `deleted` =? ORDER BY `total_views` DESC LIMIT 1 ",array(1,1,1));
        
        if(is_array($dataView['maxOneOfferView']))
		{
            $dataView['maxOneOfferView'] = array_shift($dataView['maxOneOfferView']);
            $dataView['maxOneOfferViewData']=$this->loadModel("OfferModel")->retriveDataById('id',$dataView['maxOneOfferView']['id_offer']);
            $dataView['maxOneOfferViewDataLang'] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$dataView['maxOneOfferView']['id_offer']);
            $dataView['maxOneOfferViewPrice']	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY `id` Desc LIMIT 1",array($dataView['maxOneOfferView']['id_offer'],1));
            if(is_array($dataView['maxOneOfferViewPrice']))
            {
                $dataView['maxOneOfferViewPrice'] = array_shift($dataView['maxOneOfferViewPrice']);
            }
		}
        // Get Max 6 Offers view
		$dataView['maxView4Offers'] = $this->loadModel("OfferReportModel")->retrieveAllData("WHERE `approved` =? AND  `status` =? AND  `deleted` =? ORDER BY `total_views` DESC LIMIT 6 ",array(1,1,1));
		if(is_array($dataView['maxView4Offers']))
		{
			foreach($dataView['maxView4Offers'] as $key=>$value)
			{
				$dataView['maxView4OffersData'][$key]=$this->loadModel("OfferModel")->retriveDataById('id',$value['id_offer']);
				$dataView['maxView4OffersDataLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id_offer']);
				$dataView['maxView4OffersPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY `id` Desc LIMIT 1",array($value['id_offer'],1));
				if(is_array($dataView['maxView4OffersPrice'][$key]))
				{
                    $dataView['maxView4OffersPrice'][$key] = array_shift($dataView['maxView4OffersPrice'][$key]);
				}
			}
		}
        // set page title
		$dataView['title'] = "Shatably | Home Page";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."index_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();

	}
    public function search() {
    ob_start();
        if (isset($_POST['search'])) {
            // preparing validation array
            $validationArray = array(
                "word" => array(
                    "value" => $this->loadSecurity($_POST['word'])->clear(),
                    "errorName" => "Word",
                ),
                "search_type" => array(
                    "value" => $this->loadSecurity($_POST['search_type'])->clear(),
                    "errorName" => "Type",
                    "rules"=>"required|number"
                ),
            );
            // load validation classs and pass validation data
            $dataValid = $this->loadValidation($validationArray)->formValidate();
            // check if the data is ok
            if (is_array($dataValid) && array_key_exists("success", $dataValid)) {
                if($dataValid['success']['search_type'] == 1)
                {
                    // redirect to get results
                    $this->redirect("home","search_result/".$dataValid['success']['word']);
                    exit;
                }else{
                    // redirect to get results
                    $this->redirect("home","service_search_result/".$dataValid['success']['word']);
                    exit;
                }
            } else {
                if($dataValid['success']['search_type'] == 1)
                {
                    // redirect to get results
                    $this->redirect("home","search_result/".$dataValid['success']['word']);
                    exit;
                }else{
                    // redirect to get results
                    $this->redirect("home","service_search_result/".$dataValid['success']['word']);
                    exit;
                }
            }
        } else {
            $this->redirect("home", "index");
            exit;
        }
    }
    public function search_result()
	{
        /******** start header code ********/
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			// get user id from session
			$user_id = $this->loadSession()->getSession("user_id");
			// get user data for header
			$dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
			if($dataView['userData'] == NULL)
			{
				$this->redirect("error","index");
				exit();
			}
		}
        
		/******* end header code *******/
        /******** start get special offers *********/
        
        $dataView['word'] = $this->loadRoute()->getSegment(2);
        
        // preparing validation array
                $validationArray = array(
                                                "word"=>array(
                                                            "value"=>$this->loadSecurity($dataView['word'])->clear(),
                                                            "errorName"=>"Word",
                                                        ),
                                            
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {
                    
                    // start check word exists on search report table
                    $searchReport = $this->loadModel("SearchReportModel")->retriveDataById("search_word",$dataValid['success']['word']);
                    if(is_array($searchReport))
                    {
                        // update counter
                        $updateCounter = $this->loadModel("SearchReportModel")->retrieveDataByQuery("UPDATE `search_report` SET `counter` = `counter` + ? WHERE `id` = ?",array(1,$searchReport['id']));
                    }else{
                        // add data to search report
                        $searchReportDataModel['search_word'] = $dataValid['success']['word'];
                        $searchReportDataModel['created'] = time();
                        $addReport = $this->loadModel("SearchReportModel",$searchReportDataModel)->add();
                    }
                    //var_dump($condition);
                    global $paginationConfig;
                    //set model name
                    $paginationConfig['modelName'] = 'OfferEnModel';
                    // set segment
                    $paginationConfig['segment'] = 3;

                    $paginationConfig['condition'] = "WHERE `title` LIKE '%".$dataValid['success']['word']."%' AND `status` = 1 AND `deleted` =1 ORDER BY `id` DESC";
                    // get object from pagination class
                    $paginationObj = $this->loadPagination();
                     // get data 
                    $dataView['offers'] = $paginationObj->get_data();
                     // get pagination links 
                    $dataView['links'] = $paginationObj->get_pagination_links();
                    if(is_array($dataView['offers']))
                    {
                        foreach($dataView['offers'] as $key=>$offer)
                        {
                            $dataView['offersData'][$key] = $this->loadModel("OfferModel")->retriveDataById("id",$offer['id_offer']);
                            $dataView['offersPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY id DESC LIMIT 1",array($offer['id_offer'],1));
                            if(is_array($dataView['offersPrice'][$key]))
                            {
                                $dataView['offersPrice'][$key] = array_shift($dataView['offersPrice'][$key]);
                            }
                        }
                    }

                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
        
        //special offers
		$dataView['specialOffers'] = $this->loadModel("OfferModel")->retrieveAllData("WHERE `approved` =? AND   `deleted` =? AND `special`=? AND `status`=? ORDER BY Rand() Limit 9 ",array(1,1,1,1));
		//var_dump($dataView['specialOffer']);
		if(is_array($dataView['specialOffers']))
		{
			foreach($dataView['specialOffers'] as $key=>$value)
			{
				$dataView['specialOffersLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id']);
				$dataView['specialOffersReport'][$key] = $this->loadModel("OfferReportModel")->retriveDataById("id_offer",$value['id']);
				$dataView['specialOffersCategoryLang'][$key] = $this->loadModel("CategoryEnModel")->retriveDataById("id_category",$value['id_category']);
				$dataView['latestspecialOfferPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY id DESC LIMIT 1",array($value['id'],1));
				if(is_array($dataView['latestspecialOfferPrice'][$key]))
				{
                    $dataView['latestspecialOfferPrice'][$key] = array_shift($dataView['latestspecialOfferPrice'][$key]);
				}
			}
		}
        
		// set page title
		$dataView['title'] = "Shatably | Search Results";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."search_result_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();
	}
    
    public function service_search_result()
	{
        /******** start header code ********/
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			// get user id from session
			$user_id = $this->loadSession()->getSession("user_id");
			// get user data for header
			$dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
			if($dataView['userData'] == NULL)
			{
				$this->redirect("error","index");
				exit();
			}
		}
        
		/******* end header code *******/
        /******** start get special offers *********/
        
        $dataView['word'] = $this->loadRoute()->getSegment(2);
        
        // preparing validation array
                $validationArray = array(
                                                "word"=>array(
                                                            "value"=>$this->loadSecurity($dataView['word'])->clear(),
                                                            "errorName"=>"Word",
                                                        ),
                                            
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {

                    //var_dump($condition);
                    global $paginationConfig;
                    //set model name
                    $paginationConfig['modelName'] = 'ServiceEnModel';
                    // set segment
                    $paginationConfig['segment'] = 3;

                    $paginationConfig['condition'] = "WHERE `title` LIKE '%".$dataValid['success']['word']."%' AND `status` = 1 AND `deleted` =1 ORDER BY `id` DESC";
                    // get object from pagination class
                    $paginationObj = $this->loadPagination();
                     // get data 
                    $dataView['services'] = $paginationObj->get_data();
                     // get pagination links 
                    $dataView['links'] = $paginationObj->get_pagination_links();
                    if(is_array($dataView['services']))
                    {
                        foreach($dataView['services'] as $key=>$service)
                        {
                            $dataView['serviceData'][$key] = $this->loadModel("ServiceModel")->retriveDataById("id",$service['id_service']);
                        }
                    }

                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
        
        //special offers
		$dataView['specialOffers'] = $this->loadModel("OfferModel")->retrieveAllData("WHERE `approved` =? AND   `deleted` =? AND `special`=? AND `status`=? ORDER BY Rand() Limit 9 ",array(1,1,1,1));
		//var_dump($dataView['specialOffer']);
		if(is_array($dataView['specialOffers']))
		{
			foreach($dataView['specialOffers'] as $key=>$value)
			{
				$dataView['specialOffersLang'][$key] = $this->loadModel("OfferEnModel")->retriveDataById("id_offer",$value['id']);
				$dataView['specialOffersReport'][$key] = $this->loadModel("OfferReportModel")->retriveDataById("id_offer",$value['id']);
				$dataView['specialOffersCategoryLang'][$key] = $this->loadModel("CategoryEnModel")->retriveDataById("id_category",$value['id_category']);
				$dataView['latestspecialOfferPrice'][$key]	= $this->loadModel("OfferDefaultPriceModel")->retrieveAllData("WHERE `id_offer` =? AND `deleted`=? ORDER BY id DESC LIMIT 1",array($value['id'],1));
				if(is_array($dataView['latestspecialOfferPrice'][$key]))
				{
                    $dataView['latestspecialOfferPrice'][$key] = array_shift($dataView['latestspecialOfferPrice'][$key]);
				}
			}
		}
        
		// set page title
		$dataView['title'] = "Shatable | Search Results";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."service_search_result_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();
	}
    
}
?>