    <!-- nav-page -->
    <div class="nav-page">
        <div id="nav-page" aria-label="breadcrumb">
            <div class="container">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo BASE_URL."home/index" ?>">Home</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Results</li>
                </ol>
            </div>
        </div>
    </div>
    <!-- nav-page -->

    <div class="collection sections">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-md-12   text-right">
                    <div class="new-proudcts">
                        <h4>Featured Products</h4>
                        <?php
                        if(isset($specialOffers) && is_array($specialOffers))
                        {
                            foreach($specialOffers as $key=>$specialOffer)
                            {
                        ?>
                        <div class="box-new-proudcts">
                            <div class="img-pro">
                                <img src="<?php echo UPLOAD_LINK.$specialOffer['image']; ?>">
                            </div>
                            <!--<a href="<?php echo BASE_URL."product/view/".$specialOffer['id']."/".str_replace(" ","-",$specialOffersLang[$key]['title']) ;?>">-->
                            <a href="<?php echo BASE_URL."product/view/".$specialOffer['id'] ;?>">
                                <div class="title-bro">
                                    <ul>
                                        <li><?php echo $specialOffersLang[$key]['title']; ?></li>
                                        <li>
                                            <?php
                                                echo $latestspecialOfferPrice[$key]['price_after_discount'] ." L.E"; 
                                                  if($latestspecialOfferPrice[$key]['discount'] != 0 )
                                                  {
                                                      echo '<span>'.$latestspecialOfferPrice[$key]['price_per_item'].' L.E</span>';
                                                  }
                                            ?> 
                                        </li>
                                        <li>
                                            <?php
                                            // get rating
                                            $rate = $specialOffersReport[$key]['rating'];
                                            if($rate > 0)
                                            {
                                                $count = 0;
                                                $textStar = "";
                                                for($i = 1; $i <= $rate ; $i++)
                                                {
                                                    $textStar .=  '<i class="far fa-star"></i>';
                                                    $count++;
                                                }
                                                if(($rate > $count) || ($rate < 1 && $rate > 0))
                                                {
                                                    echo '<i class="fa fa-star-half"></i>';
                                                }
                                                echo $textStar;
                                            }
                                            ?> 
                                        </li>
                                    </ul>
                                </div>
                            </a>
                        </div>
                        <?php
                            }
                        }
                        ?>
                    </div>
                </div>
                <div class="col-lg-9 col-md-12 ">
                    <div class="row">
                        <?php
                        if(isset($offersData) && is_array($offersData))
                        {
                            foreach($offersData as $key=>$offer)
                            {
                        ?>
                        <div class="col-lg-4 col-md-6 col-sm-6">
                            <div class="products text-center">
                                <div class="big">
                                    <div class="box-haver">
                                        <img src="<?php echo UPLOAD_LINK.$offer['image']; ?>" alt="">
                                        <div class="box-content">
                                            <ul class="icon">
                                                <li><a href="#" class="fas fa-shopping-cart addToCartBtn" data-offerId="<?php echo $offer['id']; ?>"></a></li>
                                                <li><a href="#" class="far fa-heart add_favorite_offer"  data-offerId="<?php echo $offer['id']; ?>"></a></li>
                                                <li><a href="<?php echo BASE_URL."product/view/".$offer['id'] ;?>" class="far fa-eye"></a></li>
                                            </ul>
                                        </div>
                                        <!--<a href="<?php echo BASE_URL."product/view/".$offer['id']."/".str_replace(" ","-",$offers[$key]['title']) ;?>" id="click-blok">-->
                                        <a href="<?php echo BASE_URL."product/view/".$offer['id'];?>" id="click-blok">
                                        <div class="tittl-box-hover">
                                            <p><?php echo $offers[$key]['title']; ?></p>
                                            <h5>
                                                <?php
                                                    echo $offersPrice[$key]['price_after_discount'] ." L.E"; 
                                                      if($offersPrice[$key]['discount'] != 0 )
                                                      {
                                                          echo '<span>'.$offersPrice[$key]['price_per_item'].' L.E</span>';
                                                      }
                                                ?> 
                                            </h5> 
                                        </div>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                            }
                        }else{
                          echo '<div class="alert alert-warning" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> لا يوجد مايطابق بحثك من فضلك جرب كلمات أخري .</strong></div>';  
                        }
                        ?>

                    </div>
                    <div class="pagination-add" aria-label="Page navigation example">
                        <?php echo $links; ?>
                        <!--<ul class="pagination">
                            <li class="page-item">
                                <a class="page-link" href="#" aria-label="Previous">
                                    <span aria-hidden="true">&laquo;</span>
                                    <span class="sr-only">Previous</span>
                                </a>
                            </li>
                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item">
                                <a class="page-link" href="#" aria-label="Next">
                                    <span aria-hidden="true">&raquo;</span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </li>
                        </ul>
                        -->
                    </div>
                </div>

            </div>
        </div>
    </div>