<?php

class Contact extends Controller{

	public function index()

	{

        /******** start header code ********/
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			// get user id from session
			$user_id = $this->loadSession()->getSession("user_id");
			// get user data for header
			$dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
			if($dataView['userData'] == NULL)

			{
				$this->redirect("error","index");
				exit();
			}
		}
        $dataView['current'] = "contact";
		/******* end header code *******/

        // set page title
		$dataView['title'] = "Shatably | Contact Us";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."contact_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();

	}
    public function sendMessage()
	{
		if(isset($_POST['action'])&&$_POST['action']=="sendMessage")
		{
			// preparing validation array
			$validationArray = array(
				"name"=>array(
					"value"=>$this->loadSecurity($_POST['name'])->clear(),
					"errorName"=>"Name",
					"rules"=>"required|min-length[1]"
				),
				"phone"=>array(
					"value"=>$this->loadSecurity($_POST['phone'])->clear(),
					"errorName"=>"phone",
					"rules"=>"required"
				),
				"email"=>array(
					"value"=>$this->loadSecurity($_POST['mail'])->clear(),
					"errorName"=>"Email",
					"rules"=>"required|email"
				),
                "subject"=>array(
					"value"=>$this->loadSecurity($_POST['subject'])->clear(),
					"errorName"=>"Subject",
					"rules"=>"required|min-length[1]"
				),
				"message"=>array(
					"value"=>$this->loadSecurity($_POST['message'])->clear(),
					"errorName"=>"Message",
					"rules"=>"required|min-length[1]"
				),
			);
			// load validation classs and pass validation data
			$dataValid = $this->loadValidation($validationArray)->formValidate();
			// check if the data is ok
			if(is_array($dataValid) && array_key_exists("success",$dataValid))
			{
					$datToModel['name']=$dataValid['success']['name'];
					$datToModel['mail']=$dataValid['success']['email'];
					$datToModel['phone']=$dataValid['success']['phone'];
					$datToModel['subject']=$dataValid['success']['subject'];
					$datToModel['message']=$dataValid['success']['message'];
					$datToModel['created']=time();
					$add = $this->loadModel("UserMessageModel",$datToModel)->add();
					if(FALSE !== $add)
					{
						$data['status'] = "success";
						$data['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Message has been successfully sent</div>';
						echo $this->loadAjax()->DataToJson($data);
						exit();
					}else{
						$data['status'] = "failed";
						$data['message'] ='<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Please Try Again Later.</div>';
						echo $this->loadAjax()->DataToJson($data);
						exit();
					}

			}else{
				$data['status'] = "failed";
				$data['message'] ='<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> '.$dataValid.'</div>';
				echo $this->loadAjax()->DataToJson($data);
				exit();
			}

		}
	}

   

	

}

?>