<?php
class Faq extends Controller{
    public function index()

	{

        /******** start header code ********/
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			// get user id from session
			$user_id = $this->loadSession()->getSession("user_id");
			// get user data for header
			$dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
			if($dataView['userData'] == NULL)

			{
				$this->redirect("error","index");
				exit();
			}
		}
        $dataView['current'] = "faq";
		/******* end header code *******/
        // get all Questions
            
            $dataView['questions'] = $this->loadModel("PopularQuestionsModel")->retrieveAllData("WHERE `status` =? AND `deleted` =?",array(1,1));
            if(is_array($dataView['questions']))
            {
                foreach($dataView['questions'] as $key=>$value)
                {
                    // get Lang Data
                    $dataView['questionsLang'][$key] = $this->loadModel("PopularQuestionsEnModel")->retriveDataById("id_question",$value['id']);
                }
            }
        // set page title
		$dataView['title'] = "Shatably | Faq";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."faq_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();

	}
    
}
?>