<?php
class Login extends Controller{
	public function index()
	{
        /******** start header code ********/
        
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			
            $this->redirect("home","index");
            exit();
			
		}
        
		/******* end header code *******/
        
        
        if(isset($_POST['login']))
        {
            $userMail = $this->loadSecurity($_POST['email'])->clear();
            $password = $this->loadSecurity($_POST['password'])->clear();
            // check if empty user name or password
            if(!empty($userMail) && !empty($password))
            {
                $userData = $this->loadModel("UserModel")->retrieveAllData("WHERE (`mail`=? OR `phone` =?) AND `password`=?  AND `verified` =? AND  `status`=? AND `deleted`=?",array($userMail,$userMail,sha1(md5($password)),1,1,1));
                // check if there is user with mail and password
                if($userData != NULL)
                {
                    $user = array_shift($userData);
                    // make array for login and employee id
                    $session_array = array("login"=>TRUE,"user_id"=>$user['id'],"job_type"=>$user['job_type']);
                    // load session class and make sessions
                    $this->loadSession($session_array)->setSession();
                    $dataView['status'] = 'success'; 
                    $dataView['message'] = '<div class="alert alert-success" role="alert"><strong>Success : </strong> Welcome Back Please Wait ..</div>';
                    if($this->loadSession()->hasSession("url"))
                    {
                        $url = $this->loadSession()->getSession("url");
                        header("Location: ".$url);
                        exit;
                    }else{
                        $this->redirect("home","index");
                        exit;
                    }
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>Error : </strong>Invalid Mail Or Password .</div>';
                }
            }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>Error : </strong>Please Insert All Data .</div>';
            }
        }
		// set page title
		$dataView['title'] = "Login";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."login_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();
	}
    public function login()
     {
            if(isset($_POST['action']) && $_POST['action'] == "login")
            {
                $userMail = $this->loadSecurity($_POST['email'])->clear();
                $password = $this->loadSecurity($_POST['password'])->clear();
                // check if empty user name or password
                if(!empty($userMail) && !empty($password))
                {
	                $userData = $this->loadModel("UserModel")->retrieveAllData("WHERE (`mail`=? OR `phone` =?) AND `password`=?  AND `verified` =? AND  `status`=? AND `deleted`=?",array($userMail,$userMail,sha1(md5($password)),1,1,1));
                    // check if there is user with mail and password
                    if($userData != NULL)
                    {
                        $user = array_shift($userData);
                        // make array for login and employee id
                        $session_array = array("login"=>TRUE,"user_id"=>$user['id'],"job_type"=>$user['job_type']);
                        // load session class and make sessions
                        $this->loadSession($session_array)->setSession();
                        $dataView['status'] = 'success'; 
                        $dataView['message'] = '<div class="alert alert-success" role="alert"><strong>نجاح : </strong> مرحبا بعودتك من فضلك أنتظر ...</div>';
                        echo $this->loadAjax()->DataToJson($dataView);
                        exit;
                    }else{
                        $dataView['status'] = 'faild'; 
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>فشل : </strong>خطأ في البريد الالكتروني او كلمة المرور .</div>';
                        echo $this->loadAjax()->DataToJson($dataView);
                        $this->redirect("error","index");
                        exit;
                    }
                }else{
                        $dataView['status'] = 'faild'; 
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>فشل : </strong> من فضلك أدخل جميع البيانات .</div>';
                        echo $this->loadAjax()->DataToJson($dataView);
                        exit;
                }
            }
        }
    public function loginWithFaceBook()
     {
        if(isset($_POST['action'],$_POST['name'],$_POST['face_id']) && $_POST['action'] == "LoginWithFace")
        {
            // get data
            $name    = $this->loadSecurity($_POST['name'])->clear();
            $face_id = $this->loadSecurity($_POST['face_id'])->clear();
            // check if user is logged in with facebook before
            $faceData = $this->loadModel("UserFaceBookIdModel")->retriveDataById("facebook_id",$face_id);
            if(is_array($faceData))
            {
                // get user data
                $userData = $this->loadModel("UserModel")->retrieveAllData("WHERE `id` =? AND  `status`=? AND `deleted`=?",array($faceData['id_user'],1,1));
                if(is_array($userData))
                {
                    $user = array_shift($userData);
                    // make array for login and employee id
                    $session_array = array("login"=>TRUE,"user_id"=>$user['id'],"job_type"=>$user['job_type']);
                    // load session class and make sessions
                    $this->loadSession($session_array)->setSession();
                    $response['status'] = 'success'; 
                    $response['message'] = '<div class="alert alert-success" role="alert"><strong>نجاح : </strong> مرحبا بعودتك من فضلك أنتظر</div>';
                    echo $this->loadAjax()->DataToJson($response);
                    exit;
                }else{
                    $response['status'] = 'faild'; 
                    echo $this->loadAjax()->DataToJson($response);
                    exit;
                }
            }else{
                // add user
                $dataModel['name'] = $name;
                $dataModel['created'] = time();
                $addData = $this->loadModel("UserModel",$dataModel)->add();
                if(FALSE !== $addData)
                {
                    // get data for session
                    // get user data
                    $userData = $this->loadModel("UserModel")->retrieveAllData("WHERE `id` =? AND  `status`=? AND `deleted`=?",array($addData,1,1));
                    if(is_array($userData))
                    {
                        $user = array_shift($userData);
                        // make array for login and employee id
                        $session_array = array("login"=>TRUE,"user_id"=>$user['id'],"job_type"=>$user['job_type']);
                        // load session class and make sessions
                        $this->loadSession($session_array)->setSession();
                        // add face data
                        // prepearing data
                        $faceBookDataModel['id_user'] = $addData;
                        $faceBookDataModel['facebook_id'] = $face_id;
                        $faceBookDataModel['created'] = time();
                        // add data
                        $addFaceBookData = $this->loadModel("UserFaceBookIdModel",$faceBookDataModel)->add();
                        $response['status'] = 'success'; 
                        $response['message'] = '<div class="alert alert-success" role="alert"><strong>نجاح : </strong> مرحبا بعودتك من فضلك أنتظر ...</div>';
                        echo $this->loadAjax()->DataToJson($response);
                        exit;
                    }else{
                        $response['status'] = 'faild'; 
                        echo $this->loadAjax()->DataToJson($response);
                        exit;
                    }
                }else{
                    $response['status'] = 'faild'; 
                    echo $this->loadAjax()->DataToJson($response);
                    exit;
                }
            }
        }
    }
    public function register()
	{
        ob_start();
        /******** start header code ********/
        
		if($this->loadHelper("UserHelper")->check_user_login())
		{
            $this->redirect("home","index");
            exit();
		}
     
		/******* end header code *******/
        // get sements if found
        $dataView['faceUserMail'] = $this->loadRoute()->getSegment(2);
        $dataView['faceUserName'] = $this->loadRoute()->getSegment(3);
        if(isset($_POST['register']))
        {
                   // preparing validation array
                    $validationArray = array(
                                               "name"=>array(
                                                                "value"=>$this->loadSecurity($_POST['name'])->clear(),
                                                                "errorName"=>"Name",
                                                                "rules"=>"min-length[3]"
                                                            ),
                                                "mail"=>array(
                                                                 "value"=>$this->loadSecurity($_POST['mail'])->clear(),
                                                                 "errorName"=>"Email",
                                                                 "rules"=>"required|email"
                                                              ),
                                                "phone"=>array(
                                                                 "value"=>$this->loadSecurity($_POST['phone'])->clear(),
                                                                 "errorName"=>"Phone",
                                                                 "rules"=>"required|min-length[8]"
                                                              ),
                                                
                                                "password"=>array(
                                                                 "value"=>$this->loadSecurity($_POST['password'])->clear(),
                                                                 "errorName"=>"Password",
                                                                 "rules"=>"required|min-length[6]|sha1_md5"
                                                              ),
                                                "re_password"=>array(
                                                                 "value"=>$this->loadSecurity(sha1(md5($_POST['re_password'])))->clear(),
                                                                 "errorName"=>"Re Password",
                                                                 "rules"=>"match[password]"
                                                              ),
                                                "gender"=>array(
                                                                 "value"=>$this->loadSecurity($_POST['gender'])->clear(),
                                                                 "errorName"=>"Gender",
                                                                 "rules"=>"required|number"
                                                              ),

                                      );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                { 
                    //check if mail exists before
                    if(TRUE !== $this->loadModel("UserModel")->CheckExists("WHERE `mail` =?",array($dataValid['success']['mail'])))
                    {
                        //check if phone exists before
                        if(TRUE !== $this->loadModel("UserModel")->CheckExists("WHERE `phone` =?",array($dataValid['success']['phone'])))
                        {
                           // start upload image
                            $upload = $this->loadUpload("user_image",FALSE)->do_upload();
                            // check if there is error on image
                            if(!array_key_exists("uploadError",$upload))
                            {
                                if($upload['uploaded'][0] != NULL)
                                {
                                    // add image name to data success
                                    $dataValid['success']['photo'] = $upload['uploaded'][0];
                                }else{
                                    if($dataValid['success']['gender'] == 1)
                                    {
                                        $dataValid['success']['photo'] = "maleavatar.png";
                                    }else{
                                        $dataValid['success']['photo'] = "femaleavatar.png";
                                    }
                                }
                                // unset re pass and user type
                                unset($dataValid['success']['re_password']);
                                unset($dataValid['success']['user_type']);
                                // set job type to 3 =>user
                                $dataValid['success']['job_type'] = 3;
                                $dataValid['success']['verified'] = 1;
                                // add time
                                $dataValid['success']['created'] = time();
                                // add data
                                $addData = $this->loadModel("UserModel",$dataValid['success'])->add();
                                if(FALSE !== $addData)
                                {
                                    /*
                                    // check if user come from facebook
                                    $faceBookUserId = (isset($_POST['face_id']) && $_POST['face_id'] != NULL) ? $_POST['face_id'] : NULL ;
                                    if($faceBookUserId != NULL)
                                    {
                                        // prepearing data
                                        $faceBookDataModel['id_user'] = $addData;
                                        $faceBookDataModel['facebook_id'] = $this->loadSecurity($faceBookUserId)->clear();
                                        $faceBookDataModel['created'] = time();
                                        // add data
                                        $addFaceBookData = $this->loadModel("UserFaceBookIdModel",$faceBookDataModel)->add();
                                    }
                                	//generate token 
		                            $rand = str_shuffle("ABCFdnkssahmedLwZVY");
		                            $token = sha1(md5($rand.$dataValid['success']['mail'].time())).time().sha1(md5($rand.$dataValid['success']['mail']));
		                            // insert data to forget password table
		                            $verifieDataModel['id_user'] = $addData;
		                            $verifieDataModel['email'] = $dataValid['success']['mail'];
		                            $verifieDataModel['token'] = $token;
		                            $verifieDataModel['created'] = time();
		                            // add data to reset password table
		                            $this->loadModel("VerifieEmailModel",$verifieDataModel)->add();
		                            // send mail
		                            $this->loadHelper("MailHelper")->verifie_email($verifieDataModel['email'],$verifieDataModel['token']);
                                    */
                                    $session_array = array("login"=>TRUE,"user_id"=>$addData,"job_type"=>$dataValid['success']['job_type']);
                                    // load session class and make sessions
                                    $this->loadSession($session_array)->setSession();
                                    $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Tahnks For Your Registration Please Wait.. </div>';
                                    if($this->loadSession()->hasSession("url"))
                                    {
                                        $url = $this->loadSession()->getSession("url");
                                        header("Location: ".$url);
                                        exit;
                                    }else{
                                        header("Refresh:2; url=".BASE_URL."home/index"."");
                                    }
                                }else{
                                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Please Try Again.</div>';
                                }
                            }else{
                                $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Can Not Upload Your Image (MAX SIZE 2MB)</div>';
                            } 
                        }else{
                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Phone Exists Before. </div>';
                        }
                    }else{
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Email Exists Before</div>';
                    }
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                } 
        } 
		// set page title
		$dataView['title'] = "Shatably | Registration";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."register_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();
	}
    public function logout()
    {
            if($this->loadHelper("UserHelper")->check_user_login())
            {
               $this->loadSession()->destroySession();
                $this->redirect("home","index");
                exit;
            }else{
                $this->redirect("home","index");
                exit;
            }
     }
    public function forget_password()
	{
       
		if(isset($_POST['email']))
        {
        
            // set validation array
            $dataValidArray = array(
                                       "email"=>array(
                                            "value" => $this->loadSecurity($_POST['email'])->clear(),
                                            "errorName" => "Email",
                                            "rules" => "required|email",
                                       	    )
                                   );
            // load validation class
            $dataValid = $this->loadValidation($dataValidArray)->formValidate();
            if(array_key_exists("success",$dataValid))
			{
				// check if email exists
				$email = $this->loadModel("UserModel")->retrieveAllData("WHERE `mail`=?  AND `status`=? AND `deleted`=?",array($dataValid['success']['email'],1,1));
				
				if(is_array($email))
				{
					//generate token 
					$rand = str_shuffle("ABCFdnkssahmedLwZVY");
					$token = sha1(md5($rand.$dataValid['success']['email'].time())).time().sha1(md5($rand.$dataValid['success']['email']));
					// insert data to forget password table
					$dataModel['email'] = $dataValid['success']['email'];
					$dataModel['token'] = $token;
					$dataModel['created'] = time();
					// add data to reset password table
					if(false !== $this->loadModel("ResetPasswordModel",$dataModel)->add())
					{
						// send mail to user
						if(false !== $this->loadHelper("MailHelper")->forget_pass($dataModel['email'],$token))
						{
							$dataView['status'] = 'success'; 
							$dataView['message'] = '<div class="alert alert-success" role="alert"><strong>Success : </strong> Please Procced To Your Email For Change Your Password.</div>';
							echo $this->loadAjax()->DataToJson($dataView);
							exit;
						}else{
							$dataView['status'] = 'faild'; 
							$dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>Error : </strong> Invalid Email .</div>';
							echo $this->loadAjax()->DataToJson($dataView);
							exit;
						}
						
					}else{
						$dataView['status'] = 'faild'; 
						$dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>Error : </strong> Please Try Again Later .</div>';
						echo $this->loadAjax()->DataToJson($dataView);
						exit;
					}
				}else{
					$dataView['status'] = 'faild'; 
				    $dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>Error : </strong> Invalid Email .</div>';
					echo $this->loadAjax()->DataToJson($dataView);
					exit;
				} 
			}else{
                
				$dataView['status'] = 'faild'; 
				$dataView['message'] = '<div class="alert alert-danger" role="alert"><strong>Error : </strong>'.$dataValid['error'].'</div>';
                //header("Content-Type: application/json");
                echo $this->loadAjax()->DataToJson($dataView);
				exit();
            }    
        }
	}
	
	public function reset_password()
	{
		/******** start header code ********/
        
		if($this->loadHelper("UserHelper")->check_user_login())
		{
			
            $this->redirect("home","index");
            exit();
			
		}
        
    
		/******* end header code *******/
		
		// get token from url
		$token = $this->loadSecurity($this->loadRoute()->getsegment(2))->clear();
		if($token == NULL)
		{
			$this->redirect("home","index");
            exit;
		}
		// check if token exists
		$tokenData = $this->loadModel("ResetPasswordModel")->retrieveAllData("WHERE `token`=? AND `used`=?",array($token,1));
		if(!is_array($tokenData))
		{
			$this->redirect("home","index");
            exit;
		}
		if(isset($_POST['editPass']))
		{
			// preparing Validation Array
			$dataValid = array(
							"password"=>array(
                                                 "value"=>$this->loadSecurity($_POST['password'])->clear(),
                                                 "errorName"=>"Password",
                                                 "rules"=>"required|min-length[6]|sha1_md5"
                                              ),
							"repassword"=>array(
												 "value"=>sha1(md5($_POST['re_password'])),
												 "errorName"=>"RePassword",
                                                 "rules"=>"match[password]"
											   )
			);
			// validate data
			$validationResult = $this->loadValidation($dataValid)->formValidate();
			if(is_array($validationResult) && array_key_exists("success",$validationResult))
			{
			unset($validationResult['success']['repassword']);
				// update pass
				$updatePass =  $this->loadModel("UserModel",$validationResult['success'])->updateData("mail",$tokenData[0]['email']);
				//update reset password set used = 2
				$updateUsed =  $this->loadModel("ResetPasswordModel",array("used"=>2))->updateByCondition("WHERE `email` =? AND `token`=?",array($tokenData[0]['email'],$token));

				if(false !== $updatePass && false !== $updateUsed)
				{
					header('Refresh: 3;url='.BASE_URL."login/index".'');
					$dataView['message'] =  '<div class="alert alert-success" role="alert"><strong>Success </strong> You Successfully Changed Your Password. </div>';
				}else{
					$dataView['message'] =  '<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Please Try Again Later.</div>';
				}
			}else{
				$dataView['message'] =  '<div class="alert alert-danger" role="alert"><strong> Error ! </strong>'.$validationResult.'</div>';
			}
		}
		
		// set page title
		$dataView['title'] = "Change Password";
		 // global Template Config
        global $TEMPLATE_FRONT_END ;
        // set content
        $TEMPLATE_FRONT_END['files']['content'] = FRONT_END_CONTROL_PATH."resetpassword_view";
        // load template
        $this->loadTemplate($TEMPLATE_FRONT_END,$dataView)->render();
	}
	
}
?>